View Issue Details

IDProjectCategoryView StatusLast Update
0034363LazarusPackagespublic2018-12-14 10:06
ReporterAndrey Zubarev Assigned ToMichl  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Summary0034363: AnchorDocking top level site with pages need header
DescriptionWhy top level site with pages not hawe header?
TagsNo tags attached.
Fixed in Revisionr59681
LazTarget-
Widgetset
Attached Files

Relationships

related to 0034347 closedMichl AnchorDocking feature (new button: size reduction of the panel) 

Activities

Andrey Zubarev

2018-10-01 10:02

reporter  

SiteWithPages.PNG (70,692 bytes)   
SiteWithPages.PNG (70,692 bytes)   

Andrey Zubarev

2018-10-16 19:23

reporter  

anchordocking_pages_headers.patch (1,379 bytes)   
Index: components/anchordocking/anchordocking.pas
===================================================================
--- components/anchordocking/anchordocking.pas	(revision 59267)
+++ components/anchordocking/anchordocking.pas	(working copy)
@@ -2193,7 +2193,7 @@
       try
         SetupSite(Site,ANode,AParent);
         Site.FSiteType:=adhstPages;
-        Site.Header.Parent:=nil;
+        //Site.Header.Parent:=nil;
         if Site.Pages=nil then
           Site.CreatePages;
         for i:=0 to ANode.Count-1 do begin
@@ -5306,9 +5306,8 @@
     if Parent is TAnchorDockPage then
       TAnchorDockPage(Parent).UpdateDockCaption;
   end;
-
   // do not show close button for mainform
-  Header.CloseButton.Visible:=not IsParentOf(Application.MainForm);
+  Header.CloseButton.Visible:=(not IsParentOf(Application.MainForm))and(Pages=nil);
 end;
 
 procedure TAnchorDockHostSite.GetSiteInfo(Client: TControl;
@@ -5728,7 +5727,14 @@
     end else begin
       PreferredHeight:=Max(NeededHeight,PreferredHeight);
     end;
+  end else begin
+    NeededHeight:=CloseButton.Height;
+    if Align in [alLeft,alRight] then begin
+      PreferredWidth:=Max(NeededHeight,PreferredWidth);
+    end else begin
+      PreferredHeight:=Max(NeededHeight,PreferredHeight);
   end;
+  end;
 end;
 
 procedure TAnchorDockHeader.MouseDown(Button: TMouseButton; Shift: TShiftState;

Andrey Zubarev

2018-10-16 19:24

reporter  

pages.PNG (178,709 bytes)   
pages.PNG (178,709 bytes)   

Andrey Zubarev

2018-10-16 19:26

reporter   ~0111425

I added a patch, and the appearance of the ide after applying it. Probably need to make the option on / off these headers

Andrey Zubarev

2018-10-16 19:31

reporter   ~0111426

You will say that these headlines are not needed. We will need then, for https://bugs.freepascal.org/view.php?id=34347

Andrey Zubarev

2018-10-30 11:41

reporter   ~0111676

Can be closed, a solution must be found within https://bugs.freepascal.org/view.php?id=34347

Juha Manninen

2018-10-30 12:11

developer   ~0111682

Ok, resolving as requested.

Michl

2018-10-31 20:59

developer   ~0111715

The header is already there, it is not always shown. So this is a bug.

To show the header, disable "Show headers" and enable it again.
It is gone, if Lazarus is closed and started again.

Michl

2018-12-12 22:15

developer   ~0112524

Fixed with related issue 0034347.

Issue History

Date Modified Username Field Change
2018-10-01 10:02 Andrey Zubarev New Issue
2018-10-01 10:02 Andrey Zubarev File Added: SiteWithPages.PNG
2018-10-16 19:23 Andrey Zubarev File Added: anchordocking_pages_headers.patch
2018-10-16 19:24 Andrey Zubarev File Added: pages.PNG
2018-10-16 19:26 Andrey Zubarev Note Added: 0111425
2018-10-16 19:31 Andrey Zubarev Note Added: 0111426
2018-10-19 18:41 Juha Manninen Relationship added related to 0034347
2018-10-30 11:41 Andrey Zubarev Note Added: 0111676
2018-10-30 12:11 Juha Manninen LazTarget => -
2018-10-30 12:11 Juha Manninen Note Added: 0111682
2018-10-30 12:11 Juha Manninen Status new => resolved
2018-10-30 12:11 Juha Manninen Resolution open => no change required
2018-10-30 12:11 Juha Manninen Assigned To => Juha Manninen
2018-10-30 12:50 Andrey Zubarev Status resolved => closed
2018-10-31 20:59 Michl Assigned To Juha Manninen => Michl
2018-10-31 20:59 Michl Note Added: 0111715
2018-10-31 20:59 Michl Status closed => assigned
2018-10-31 20:59 Michl Resolution no change required => reopened
2018-10-31 21:03 Michl Summary AnchorDocing top level site with pages need header => AnchorDocking top level site with pages need header
2018-12-12 22:15 Michl Fixed in Revision => r59681
2018-12-12 22:15 Michl Note Added: 0112524
2018-12-12 22:15 Michl Status assigned => resolved
2018-12-12 22:15 Michl Resolution reopened => fixed
2018-12-14 10:06 Andrey Zubarev Status resolved => closed